<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:30 CEST 2019 -->
<title>Refinements</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Refinements";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Refinements.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/Refinements.html" target="_top">Frames</a></li>
<li><a href="Refinements.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements</div>
<h2 title="Interface Refinements" class="title">Interface Refinements</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl">RefinementsImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Refinements</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Refinements</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../refinement/model/refinements/Refinements.html#getId--"><code><em>Id</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinements.html#getRefinements--"><code><em>Refinements</em></code></a></li>
   <li><a href="../../../refinement/model/refinements/Refinements.html#getComposedrefinements--"><code><em>Composedrefinements</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements--"><code>RefinementsPackage.getRefinements()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-">addRefinement</a></span>(<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>
<div class="block">If refinement kind of given refinement is of type "DELETE", check if an other refinement
 exists for referenceID of given refinement.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-">findRefinementsByReference</a></span>(java.lang.String&nbsp;referenceID)</code>
<div class="block">Return all indexes of refinements with given referenceID.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#getComposedrefinements--">getComposedrefinements</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Composedrefinements</b></em>' containment reference list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#getId--">getId</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Id</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#getRefinement-int-">getRefinement</a></span>(int&nbsp;index)</code>
<div class="block">Return refinement of given index.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#getRefinements--">getRefinements</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Refinements</b></em>' containment reference list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-">getReplaceIndex</a></span>(org.eclipse.emf.common.util.EList&lt;java.lang.Integer&gt;&nbsp;indexList)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-">indexOfRefinement</a></span>(<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>
<div class="block">Find and return index of given refinement in refinements.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#removeRefinement-int-">removeRefinement</a></span>(int&nbsp;refinementIndex)</code>
<div class="block">Remove refinement from refinements by given index.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-">saveRefinements</a></span>(java.lang.String&nbsp;savePath)</code>
<div class="block">Save this refinement to savePath.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#setId-java.lang.String-">setId</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinements.html#getId--"><code><em>Id</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-">setRefinement</a></span>(int&nbsp;index,
             <a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>
<div class="block">Set given refinement to given index in refinements list.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>java.lang.String&nbsp;getId()</pre>
<div class="block">Returns the value of the '<em><b>Id</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Id</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Id</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#setId-java.lang.String-"><code>setId(String)</code></a>, 
<a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Id--"><code>RefinementsPackage.getRefinements_Id()</code></a></dd>
</dl>
</li>
</ul>
<a name="setId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>void&nbsp;setId(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../refinement/model/refinements/Refinements.html#getId--"><code><em>Id</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Id</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/Refinements.html#getId--"><code>getId()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&gt;&nbsp;getRefinements()</pre>
<div class="block">Returns the value of the '<em><b>Refinements</b></em>' containment reference list.
 The list contents are of type <a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code>Refinement</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Refinements</em>' containment reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Refinements</em>' containment reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Refinements--"><code>RefinementsPackage.getRefinements_Refinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedrefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedrefinements</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&gt;&nbsp;getComposedrefinements()</pre>
<div class="block">Returns the value of the '<em><b>Composedrefinements</b></em>' containment reference list.
 The list contents are of type <a href="../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code>ComposedRefinements</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Composedrefinements</em>' containment reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Composedrefinements</em>' containment reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Composedrefinements--"><code>RefinementsPackage.getRefinements_Composedrefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="addRefinement-refinement.model.refinements.Refinement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRefinement</h4>
<pre>void&nbsp;addRefinement(<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 If refinement kind of given refinement is of type "DELETE", check if an other refinement
 exists for referenceID of given refinement. Replace this found refinement with given refinement if such a refinement exists.
 If refinement kind of given refinement is not of type "DELETE" add given refinement to refinements if given refinement is not already included in refinements list.
 <!-- end-model-doc --></div>
</li>
</ul>
<a name="saveRefinements-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveRefinements</h4>
<pre>void&nbsp;saveRefinements(java.lang.String&nbsp;savePath)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 Save this refinement to savePath.
 <!-- end-model-doc --></div>
</li>
</ul>
<a name="indexOfRefinement-refinement.model.refinements.Refinement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexOfRefinement</h4>
<pre>int&nbsp;indexOfRefinement(<a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 Find and return index of given refinement in refinements. If refinements does not contain given refinement -1 is returned.
 <!-- end-model-doc --></div>
</li>
</ul>
<a name="getRefinement-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement</h4>
<pre><a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;getRefinement(int&nbsp;index)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 Return refinement of given index.
 <!-- end-model-doc --></div>
</li>
</ul>
<a name="setRefinement-int-refinement.model.refinements.Refinement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefinement</h4>
<pre>void&nbsp;setRefinement(int&nbsp;index,
                   <a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 Set given refinement to given index in refinements list.
 <!-- end-model-doc --></div>
</li>
</ul>
<a name="findRefinementsByReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findRefinementsByReference</h4>
<pre>org.eclipse.emf.common.util.EList&lt;java.lang.Integer&gt;&nbsp;findRefinementsByReference(java.lang.String&nbsp;referenceID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 Return all indexes of refinements with given referenceID.
 <!-- end-model-doc --></div>
</li>
</ul>
<a name="removeRefinement-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeRefinement</h4>
<pre>void&nbsp;removeRefinement(int&nbsp;refinementIndex)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 Remove refinement from refinements by given index.
 <!-- end-model-doc --></div>
</li>
</ul>
<a name="getReplaceIndex-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getReplaceIndex</h4>
<pre>int&nbsp;getReplaceIndex(org.eclipse.emf.common.util.EList&lt;java.lang.Integer&gt;&nbsp;indexList)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Refinements.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/Refinements.html" target="_top">Frames</a></li>
<li><a href="Refinements.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
